Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class RowSetIteratorHelper

    java.lang.Object
      |
      +--oracle.jbo.common.BaseObject
            |
            +--oracle.jbo.common.PropertiesHelper
                  |
                  +--oracle.jbo.common.RowSetHelper
                        |
                        +--oracle.jbo.common.RowSetIteratorHelper

Direct Known Subclasses:
  ViewRowSetIteratorImpl

public abstract class RowSetIteratorHelper
extends RowSetHelper

Internal: Applications should not use this class.

Field Summary
`protected Row` | `mCurrentRow`

Fields inherited from class oracle.jbo.common.RowSetHelper
`listeners, mName`

Fields inherited from class oracle.jbo.common.PropertiesHelper
`mProperties, timer`

Fields inherited from class oracle.jbo.common.BaseObject
`TRACE_EVERY_ALLOC, TRACE_NONE, TRACE_OCCASIONAL, TRACE_UNINITIALIZED`

Constructor Summary
`RowSetIteratorHelper()`

Method Summary
`static Key` | `createKey(AttributeList al, AttributeDef[] keyAttrs)`

Methods inherited from class oracle.jbo.common.RowSetHelper
`addListener, fireNavigationEvent, fireRangeRefreshed, fireRangeScrolled, fireRowDeleted, fireRowInserted, fireRowUpdated, getListeners, getName, removeListener, setName`

Methods inherited from class oracle.jbo.common.PropertiesHelper
`getProperties, getProperty, refreshProperty, setProperty`

Methods inherited from class oracle.jbo.common.BaseObject
`dumpState, setTraceLevel, setTraceWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mCurrentRow

    protected Row mCurrentRow

Constructor Detail

### RowSetIteratorHelper

    public RowSetIteratorHelper()

Method Detail

### createKey

    public static Key createKey(AttributeList al,
                                AttributeDef[] keyAttrs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD